Forgot password?

Create an account!

Forum

« back

Python – Multiple intersections

Messages

Please log in to write a message.

  • 2. patsol (Apr 04, 2017 16.33):

    Only one track: for me, it's ok with:

    rs.AddCircle(intersection[1], c_dia)
  • 1. stairgeek (Apr 04, 2017 12.38):

    I am trying to find all the intersections of all circles with all lines in flatland. I do not need the intersections between circles or the intersection of lines.
    On the intersections I want circles drawn of a specified radius (default 3).

    def Circleintersect():
        msg="Select circles to intersect"
        g_circles = rs.GetObjects(msg,4,preselect=False)
       
        msg="Select lines to intersect"
        g_lines = rs.GetObjects(msg,4,preselect=False)
       
        msg="Please enter the radius of the circles to be generated"
        c_dia = rs.GetReal(msg,3)
       
        for g_circle in g_circles:
            for g_line in g_lines:
                intersection_list = rs.CurveCurveIntersection (g_circle, g_line)
                for intersection in intersection_list:
                    rs.AddCircle(intersection, c_dia)

    This gives me a could not convert error.

    Windows 10 Rhino 5

    Any ideas?

    Thanks

Recommend

Why are these buttons gray?